Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Interface AccTravQualifier

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  AccTravQualBaseImpl

public interface AccTravQualifier
extends java.io.Serializable

This interface is used to see if a row qualifies for accessor invocation.

An accessor traversal definition has one or more qualifiers. As each row is retrieved, the level specific definition's qualifiers are examined to see if there is match. If so, that qualifier is used for the next level accessor traversal. If no level specific qualifier is found, the all-level AccTravDef is used to see if one of the all-level qualifiers matches. If one is found, that qualifier is used.

Since:
  JDeveloper 10.1.2
See Also:
  `AccTravDef`, `AccTravInvoke`

Method Summary
`AccTravInvoke[]` | `getAccTravInvokes()` Returns an array of accessor traversal invocations.
`AccTravDef` | `getParent()` Returns the parent (containing) AccTravDef.
`boolean` | `isMatch(Row row)` Returns if the row qualifies this AccTravQualifier.
`void` | `setParent(AccTravDef parent)` Sets the parent (containing) AccTravDef.

Method Detail

### getParent

    public AccTravDef getParent()

  Returns the parent (containing) AccTravDef.
  Returns:
    the parent (containing) AccTravDef.

### setParent

    public void setParent(AccTravDef parent)

  Sets the parent (containing) AccTravDef.
  Parameters:
    `parent` - the parent (containing) AccTravDef.

### isMatch

    public boolean isMatch(Row row)

  Returns if the row qualifies this AccTravQualifier.
  Parameters:
    `row` - the row to match.
  Returns:
    a boolean flag indicating whether the row qualifies or now.

### getAccTravInvokes

    public AccTravInvoke[] getAccTravInvokes()

  Returns an array of accessor traversal invocations.
  Returns:
    an array of accessor traversal invocations.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.